
services:
  sync:
    image: dokku/wait
    links:
      - auth
      - dird
      - america
      - asia
    environment:
      - INTEGRATION_TEST_TIMEOUT
    command: "-c america:8000,asia:8000,auth:9497,dird:9489 -t ${INTEGRATION_TEST_TIMEOUT:-30}"
  dird:
    image: xivoxc/xivo-dird-test
    ports:
      - "9489:9489"
    volumes:
      - "./etc/xivo-dird/config.yml:/etc/xivo-dird/config.yml"
      - "./etc/xivo-dird/sources.d:/etc/xivo-dird/sources.d"
      - "../../..:/usr/src/xivo-dird"
      - "./ssl:/usr/local/share/ssl"
    links:
      - auth
      - america
      - asia
  america:
    image: python:3.7
    volumes:
      - "./confd_data:/tmp"
    command: "/tmp/run_confd america"
  asia:
    image: python:3.7
    volumes:
      - "./confd_data:/tmp"
    command: "/tmp/run_confd asia"
  auth:
    image: p0bailey/docker-flask
    ports:
      - "9497:9497"
    volumes:
      - "./auth_data:/tmp"
      - "./ssl:/usr/local/share/ssl"
    command: "python /tmp/mock-xivo-auth.py 9497"
networks:
  default:
    ipam:
      driver: default
      config:
        - subnet: 172.16.94.80/28
